#ifndef __RAS_H_
#define __RAS_H_

#include "../ls-b24/litestep/wharfdata.h"
#include <string>
using namespace std;

#ifdef __cplusplus
extern "C" {
#endif

__declspec( dllexport ) int initModule(HWND parent, HINSTANCE dll, wharfDataType* wd);
__declspec( dllexport ) int initModuleEx(HWND parent, HINSTANCE dll, LPCSTR szPath);
__declspec( dllexport ) void quitModule(HINSTANCE dllInst);

#ifdef __cplusplus
}
#endif

#define WM_TRAY WM_USER + 55
#define WM_RASSTATE WM_USER + 56

typedef struct _DIALENTRY 
{
	char phEntry[256], username[256], password[256], domain[256],
		name[256];
} dialEntry;

void GetRasConnState( RASCONNSTATE rasconn, char s[30] );

#endif

