#include <windows.h>
#include <ras.h>
//#include <raserror.h>
#include <string.h>
#include "ras.h"

void GetRasConnState( RASCONNSTATE rasconn, char s[30] )
{
    switch( rasconn )
    {
        case RASCS_OpenPort:
            strcpy(s, "Opening port");
			break;
        case RASCS_PortOpened:
            strcpy(s, "Port opened");
			break;
        case RASCS_ConnectDevice:
            strcpy(s, "Dialing . . .");
			break;
        case RASCS_DeviceConnected:
            strcpy(s, "Device connected");
			break;
        case RASCS_Authenticate:
            strcpy(s, "Starting authentication");
			break;
        case RASCS_AuthNotify:
            strcpy(s, "Authentication notify");
			break;
        case RASCS_AllDevicesConnected:
            strcpy(s, "All devices connected");
			break;
        case RASCS_AuthRetry:
            strcpy(s, "Authentication retry");
			break;
        case RASCS_AuthCallback:
            strcpy(s, "Callback requested");
			break;
        case RASCS_AuthChangePassword:
            strcpy(s, "Change password requested");
			break;
        case RASCS_AuthProject:
            strcpy(s, "Projection phase started");
			break;
        case RASCS_AuthLinkSpeed:
            strcpy(s, "Link speed calculation");
			break;
        case RASCS_AuthAck: 
            strcpy(s, "Authentication acknowledged");
			break;
        case RASCS_ReAuthenticate:
            strcpy(s, "Reauthentication started");
			break;
        case RASCS_Authenticated:
            strcpy(s, "Authenticated");
			break;
        case RASCS_PrepareForCallback:
            strcpy(s, "Preparation for callback");
			break;
        case RASCS_WaitForModemReset:
            strcpy(s, "Waiting for modem reset");
			break;
        case RASCS_WaitForCallback:
            strcpy(s, "Waiting for callback");
			break;
        case RASCS_Interactive:
            strcpy(s, "Interactive");
			break;
        case RASCS_RetryAuthentication: 
            strcpy(s, "Retry authentication");
			break;
        case RASCS_CallbackSetByCaller: 
            strcpy(s, "Callback set by caller");
			break;
        case RASCS_PasswordExpired:
            strcpy(s, "Password expired");
			break;
        case RASCS_Connected:
            strcpy(s, "Connected");
			break;
        case RASCS_Disconnected:
            strcpy(s, "Disconnected");
			break;
        default:
            strcpy(s, "Undefined Error");
    }
}
